﻿using System.Collections.Generic;
using System.Drawing;
using HeuristicLab.Visualization;

namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Views {
  public partial class SymbolicDataAnalysisExpressionLineageExplorerChart : ChartControl {
    public SymbolicDataAnalysisExpressionLineageExplorerChart() {
      InitializeComponent();
      if (Chart == null) {
        Chart = new Chart(0, 0, PreferredSize.Width, PreferredSize.Height);
      }
    }

    public void Clear() {
      Chart.Group.Clear();
    }

    public void Add(IPrimitive primitive) {
      Chart.Group.Add(primitive);
    }

    public void AddRange(IEnumerable<IPrimitive> primitives) {
      Chart.Group.AddRange(primitives);
    }

    public void Draw(Graphics graphics) {
      Chart.Group.Draw(graphics);
    }
  }
}
